diff -urN Snes9x Custom HQ 1.43 source.orig/Sources/Mac/mac-dialog.cpp Snes9x Custom HQ 1.43 source/Sources/Mac/mac-dialog.cpp
--- Snes9x Custom HQ 1.43 source.orig/Sources/Mac/mac-dialog.cpp	2004-12-26 07:39:58.000000000 -0600
+++ Snes9x Custom HQ 1.43 source/Sources/Mac/mac-dialog.cpp	2005-07-27 19:20:07.000000000 -0500
@@ -151,7 +151,7 @@
 	return err;
 }
 
-OSStatus SetStaticTextText(HIViewRef control, Str255 text, Boolean draw)
+OSStatus SetStaticTextText(HIViewRef control, ConstStr255Param text, Boolean draw)
 {
 	OSStatus	err;
 	
@@ -244,7 +244,7 @@
 	return err;
 }
 
-OSStatus SetEditTextText(HIViewRef control, Str255 text, Boolean draw)
+OSStatus SetEditTextText(HIViewRef control, ConstStr255Param text, Boolean draw)
 {
 	OSStatus	err;
 	
diff -urN Snes9x Custom HQ 1.43 source.orig/Sources/Mac/mac-dialog.h Snes9x Custom HQ 1.43 source/Sources/Mac/mac-dialog.h
--- Snes9x Custom HQ 1.43 source.orig/Sources/Mac/mac-dialog.h	2004-12-26 07:40:26.000000000 -0600
+++ Snes9x Custom HQ 1.43 source/Sources/Mac/mac-dialog.h	2005-07-27 19:20:44.000000000 -0500
@@ -112,12 +112,12 @@
 void AppearanceAlert(AlertType, int, int);
 long GetHIToolboxVersion(void);
 OSStatus GetStaticTextText(HIViewRef, Str255);
-OSStatus SetStaticTextText(HIViewRef, Str255, Boolean);
+OSStatus SetStaticTextText(HIViewRef, ConstStr255Param, Boolean);
 OSStatus SetStaticTextTrunc(HIViewRef, TruncCode, Boolean);
 OSStatus SetStaticTextCFString(HIViewRef, CFStringRef, Boolean);
 OSStatus SetEditTextCFString(HIViewRef, CFStringRef, Boolean);
 OSStatus GetEditTextText(HIViewRef, Str255);
-OSStatus SetEditTextText(HIViewRef, Str255, Boolean);
+OSStatus SetEditTextText(HIViewRef, ConstStr255Param, Boolean);
 OSStatus SetEditTextSelection(HIViewRef, SInt16, SInt16);
 OSStatus CopyEditTextCFString(HIViewRef, CFStringRef *);
 pascal OSStatus DefaultEventHandler(EventHandlerCallRef, EventRef, void *);
diff -urN Snes9x Custom HQ 1.43 source.orig/Sources/Mac/mac-file.cpp Snes9x Custom HQ 1.43 source/Sources/Mac/mac-file.cpp
--- Snes9x Custom HQ 1.43 source.orig/Sources/Mac/mac-file.cpp	2004-12-12 00:48:32.000000000 -0600
+++ Snes9x Custom HQ 1.43 source/Sources/Mac/mac-file.cpp	2005-07-27 19:29:29.000000000 -0500
@@ -109,7 +109,7 @@
 
 extern char	pfold[9];
 
-extern "C" char * osd_GetPackDir(void);
+extern "C" const char * osd_GetPackDir(void);
 
 static void AddFolderIcon(FSRef *, const char *);
 static OSErr FindSNESFolder(FSRef *, char *, const char *);
@@ -649,7 +649,7 @@
 	return path;
 }
 
-extern "C" char * osd_GetPackDir(void)
+extern "C" const char * osd_GetPackDir(void)
 {
 	return S9xGetPackDirectory();
 }
diff -urN Snes9x Custom HQ 1.43 source.orig/Sources/Mac/mac-server.cpp Snes9x Custom HQ 1.43 source/Sources/Mac/mac-server.cpp
--- Snes9x Custom HQ 1.43 source.orig/Sources/Mac/mac-server.cpp	2004-12-12 00:52:37.000000000 -0600
+++ Snes9x Custom HQ 1.43 source/Sources/Mac/mac-server.cpp	2005-07-27 19:32:43.000000000 -0500
@@ -626,7 +626,8 @@
 	struct sockaddr_un	address;
 #endif
 	int					newfd;
-	int					c, l;
+	int					c;
+	socklen_t l;
 
 	NPNotification("Server: Accepting new client connection...", -1);
 
diff -urN Snes9x Custom HQ 1.43 source.orig/Sources/snes9x/snes9x/spc7110.cpp Snes9x Custom HQ 1.43 source/Sources/snes9x/snes9x/spc7110.cpp
--- Snes9x Custom HQ 1.43 source.orig/Sources/snes9x/snes9x/spc7110.cpp	2004-08-28 23:49:22.000000000 -0500
+++ Snes9x Custom HQ 1.43 source/Sources/snes9x/snes9x/spc7110.cpp	2005-07-27 19:29:15.000000000 -0500
@@ -117,7 +117,7 @@
 #endif
 
 extern "C" const char *S9xGetFilename (const char *);
-extern "C" char *osd_GetPackDir();
+extern "C" const char *osd_GetPackDir();
 //really not needed, but usually MS adds the _ to POSIX functions,
 //while *nix doesn't, so this was to "un-M$" the function.
 #define splitpath _splitpath
@@ -130,7 +130,7 @@
 
 //using function pointers to initialize cache management
 void (*CleanUp7110)(void)=NULL;
-void (*LoadUp7110)(char*)=&SPC7110Load;
+void (*LoadUp7110)(const char*)=&SPC7110Load;
 void (*Copy7110)(void)=NULL;
 
 //size and offset of the pack data
@@ -1714,7 +1714,7 @@
 
 
 //Cache 1 load function
-void SPC7110Load(char* dirname)
+void SPC7110Load(const char* dirname)
 {
 	char temp_path[PATH_MAX];
 	int i=0;
@@ -1777,7 +1777,7 @@
 }
 
 //Cache 2 load function
-void SPC7110Open(char* dirname)
+void SPC7110Open(const char* dirname)
 {
 	char temp_path[PATH_MAX];
 	int i=0;
@@ -1824,7 +1824,7 @@
 }
 
 //Cache 3's load function
-void SPC7110Grab(char* dirname)
+void SPC7110Grab(const char* dirname)
 {
 	char temp_path[PATH_MAX];
 	int i=0;
diff -urN Snes9x Custom HQ 1.43 source.orig/Sources/snes9x/snes9x/spc7110.h Snes9x Custom HQ 1.43 source/Sources/snes9x/snes9x/spc7110.h
--- Snes9x Custom HQ 1.43 source.orig/Sources/snes9x/snes9x/spc7110.h	2004-07-26 08:28:38.000000000 -0500
+++ Snes9x Custom HQ 1.43 source/Sources/snes9x/snes9x/spc7110.h	2005-07-27 19:28:07.000000000 -0500
@@ -92,7 +92,7 @@
 
 #define DECOMP_BUFFER_SIZE	0x10000
 
-extern void (*LoadUp7110)(char*);
+extern void (*LoadUp7110)(const char*);
 extern void (*CleanUp7110)(void);
 extern void (*Copy7110)(void);
 
@@ -116,9 +116,9 @@
 
 //These are platform-dependant functions, but should work on
 //most systems that use GNU compilers, and on Win32.
-void SPC7110Load(char*);
-void SPC7110Open(char*);
-void SPC7110Grab(char*);
+void SPC7110Load(const char*);
+void SPC7110Open(const char*);
+void SPC7110Grab(const char*);
 
 typedef struct SPC7110RTC
 {
